# Python: module skeinforge_tools.analyze_plugins.analyze_utilities.enrique

skeinforge_tools.analyze_plugins.analyze_utilities.enrique | index /home/enrique/Desktop/backup/babbleold/script/reprap/pyRepRap/skeinforge_tools/analyze_plugins/analyze_utilities/enrique.py

Modules

``

Image | ImageChops | ImageDraw |

Classes

``

g2gif

class g2gif

``

Methods defined here:

__init__(self, fileName, outfile)

linearMove(self, splitLine)

parseLine(self, line)

scale(self, x, y)

setFeedrate(self, splitLine)
  `# Set the feedrate to the gcode split line.`

setPointComponent(self, point, splitLine)
  `# Set a point to the gcode split line.`

Functions

``

getDoubleAfterFirstLetter(word)
  `# Get the double value of the word after the first letter.
  # @param word string with value starting after the first letter
  # @return double value of the word after the first letter`

getDoubleForLetter(letter, splitLine)
  `# Get the double value of the word after the first occurence of the letter in the split line.`

getFileText(fileName)
  `# Get the entire text of a file.
  # @param fileName name of the file
  # @return entire text of a file.`

getTextLines(text)
  `# Get the all the lines of text of a text.
  # @param text text
  # @return the lines of text of a text`

indexOfStartingWithSecond(letter, splitLine)
  `# Get index of the first occurence of the given letter in the split line, starting with the second word. Return - 1 if letter is not found`

makedelta(fp, sequence)
  `Convert list of image frames to a GIF animation file`

Data
`` |  | absolute_import = _Feature((2, 5, 0, 'alpha', 1), (2, 7, 0, 'alpha', 0), 16384)